#include <stdio.h>
#include <stdlib.h>


int main()
{

int a, b;
int res;
scanf("%d%d", &a, &b);

__asm__ (
"cdq\n\t"
"idiv %2\n\t"      /* Deljenje */
: "=a"(res)        /* Alociramo eax za rezultat */
: "a"(a), "b"(b)   /* Alociramo ebx za delilac, 
                      a eax za deljenik. */
: "edx"           /* Registar edx se implicitno menja */
);

printf("%d\n", res);

/* NAPOMENA: da smo zeleli 64-bitno deljenje, bilo bi dovoljno da 
   deklarisemo a, b i res kao promenljive long tipa. Tada bi 
   specifikator "a" oznacavao rax registar, "b" bi bio rbx registar itd.
   Dodatno, trebalo bi umesto edx staviti rdx kao registar koji se 
   implicitno menja */
 
return EXIT_SUCCESS;
}
